%define	name	qemu-launcher
%define	version	1.3
%define	release	2mdk

Summary:	Interface to configure and launch Qemu	
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Emulators
URL:		http://emeitner.f2o.org/projects/qemu-launcher/	
Source0:	%{name}_%{version}-1.tar.bz2
Patch0:		qemu-launcher-no_keyboard_option.patch.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	perl-Locale-gettext >= 1.04

%description
A launcher for Qemu that manages Qemu configs and creates disk images
Qemu-launcher provides a point and click interface to Qemu. It also
allows you to create, save, load, and run multiple Qemu VM
configurations. It has a basic interface for creating or convertering
disk images.

Only supports the x86 PC emulator part of Qemu.

%prep
%setup -q 
%patch0

%build

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std MANDIR=%{_mandir}/man1

%find_lang %name

mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF

?package(%name): \
        command="%_bindir/%name" \
        needs="X11" \
        section="More Applications/Emulators" \
        icon="%{name}.png" \
        title="Qemu launcher" \
        longtitle="Interface to configure and launch Qemu"
EOF

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
cp glade/qemulauncher.png %{buildroot}%{_liconsdir}/%{name}.png
convert glade/qemulauncher.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert glade/qemulauncher.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png

rm -rf %buildroot/%{_datadir}/doc/%name

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc README

%{_bindir}/*
%{_menudir}/%name
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/pixmaps/*.xpm
%{_datadir}/%name
%{_mandir}/man1/qemu-launcher.1.bz2

%changelog
* Tue May 24 2005 Pascal Terjan <pterjan@mandriva.org> 1.3-2mdk
- P0 (drop unsupported -keyboard)

* Mon May 23 2005 Pascal Terjan <pterjan@mandriva.org> 1.3-1mdk
- First Package
